echo off

rem ---------------------------------------------------------------------------
rem input movie frame par seconds(fps)
set MOVIE_FPS=60

rem ---------------------------------------------------------------------------
echo Create folder for temporary files
mkdir %~dpn1tmp

rem ---------------------------------------------------------------------------
echo Turn input video into sequentially numbered frame images and store them in a temporary folder.
%~dp0ffmpeg.exe -i %1 %~dpn1tmp\%%05d.jpg

rem ---------------------------------------------------------------------------
echo Batch positioning of all frame images with StereoMovieAlign
%~dp0StereoMovieAlign.exe %~dpn1tmp

rem ---------------------------------------------------------------------------
echo Extracting audio files from input video
%~dp0ffmpeg.exe -i %1 %~dpn1.mp3

rem ---------------------------------------------------------------------------
echo Save video in dubois anaglyphs.
%~dp0ffmpeg.exe -r %MOVIE_FPS% -start_number 00001 -y -i %~dpn1tmp\out\%%05d.jpg -r %MOVIE_FPS% -vcodec libx264 -pix_fmt yuv420p -vf stereo3d=sbsl:arcd %~dpn1tmp.mp4
%~dp0ffmpeg.exe -i %~dpn1.mp3 -i %~dpn1tmp.mp4 -vcodec copy -acodec copy %~dpn1_dubois.mp4
del %~dpn1tmp.mp4

rem ---------------------------------------------------------------------------
echo Delete temporary files.
del %~dpn1.mp3
echo Delete aligned frame image files.
del %~dpn1tmp\out\*.*
rmdir %~dpn1tmp\out
echo Delete original frame image files.
del %~dpn1tmp\*.*
rmdir %~dpn1tmp
pause
